Subject: bug#16715: 24.3.50; REGRESSION: `report-emacs-bug' replaces `=' by `=3D' and chops lines inserting `='

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Apr 2016 18:18:10 +0200

Drew Adams <[email-masked]> writes:

> I prepared a bug report, then hit C-c C-c.  Then in the new message
> window for my mail client I selected the instruction telling me to
> select it and paste the bug-report message I prepared.  Then I used C-v
> to paste it.
>
> The result was that the *Backtrace* was chopped into equal-length lines,
> with `=3D' replacing character `=' everywhere and with `=' inserted at
> each line chop.  Le voici:
> ----------------8<------------------------------------------
>
> The problem is this code:
>
>   (when (and (=3D 1 (length comps) (consp (car comps))))

Looks like something is qp-encoding something somewhere?  Are you still
seeing this?  Do you have a recipe?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no